<?php


define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

$userdata = session_pagestart($user_ip, PAGE_PRAVILA);
init_userprefs($userdata);

if ( !$userdata['session_logged_in'] )
{
	redirect(append_sid("login.$phpEx?redirect=shop.$phpEx", true));
	exit;
}

if ( isset($HTTP_GET_VARS['forum']) && !isset($HTTP_GET_VARS['id']) )
{
	$page_title = 'Прайс-лист';
	include($phpbb_root_path . 'includes/page_header.'.$phpEx);

	$template->set_filenames(array(
	'body' => 'index_price_body.tpl')
	);

	$sql = "SELECT c.cat_id, c.cat_title, c.cat_order
		FROM " . CATEGORIES_TABLE . " c 
		ORDER BY c.cat_order ASC";
	if( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not query categories list', '', __LINE__, __FILE__, $sql);
	}

	$category_rows = array();
	while ($row = $db->sql_fetchrow($result))
	{
		$category_rows[] = $row;
	}
	$db->sql_freeresult($result);
	$total_categories = count($category_rows);

	$sql = "SELECT *
		FROM " . FORUMS_TABLE . "
		ORDER BY forum_money DESC";
	if ( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not query forums information', '', __LINE__, __FILE__, $sql);
	}
	$forum_data = array();
	while( $row = $db->sql_fetchrow($result) )
	{
		$forum_data[] = $row;
	}
	$db->sql_freeresult($result);
	$total_forums = count($forum_data);
	$is_auth_ary = array();
	$is_auth_ary = auth(AUTH_VIEW, AUTH_LIST_ALL, $userdata, $forum_data);
	$display_categories = array();

	for ($i = 0; $i < $total_forums; $i++ )
	{
		if ($is_auth_ary[$forum_data[$i]['forum_id']]['auth_view'])
		{
			$display_categories[$forum_data[$i]['cat_id']] = true;
		}
	}
	for($i = 0; $i < $total_categories; $i++)
	{
		$cat_id = $category_rows[$i]['cat_id'];

		if (isset($display_categories[$cat_id]) && $display_categories[$cat_id])
		{
			for($j = 0; $j < $total_forums; $j++)
			{
				if ( $forum_data[$j]['cat_id'] == $cat_id )
				{
					$forum_id = $forum_data[$j]['forum_id'];

					if ( $is_auth_ary[$forum_id]['auth_view'] )
					{
						$posts = $forum_data[$j]['forum_posts'];

						$template->assign_block_vars('forumrow', array(
							'FORUM_NAME' => $forum_data[$j]['forum_name'],
							'MONEY' => $forum_data[$j]['forum_money'],
							'U_VIEWFORUM' => append_sid("viewforum.$phpEx?" . POST_FORUM_URL . "=$forum_id"))
						);
					}
				}
			}
		}
	}
	$template->pparse('body');
	include($phpbb_root_path . 'includes/page_tail.'.$phpEx);
	exit;
}

$id = ( isset($HTTP_GET_VARS['id']) ) ? intval($HTTP_GET_VARS['id']) : '';

if ( !$board_config['shop'] )
{
	message_die(GENERAL_MESSAGE, 'Магазин отключён на этом форуме.');
}

switch( $id )
{
	case '1':
$tovar = 'Смена ника';
$opisanie = 'В нашем магазине вы можете купить возможность разовой смены ника на любой другой, при условии что он не будет противоречить правилам форума.<br/>
Стоимость смены ника: '.$board_config['smena_nika'].' монет(ы)<br/>';
if ( $userdata['user_points'] >= $board_config['smena_nika'] )
{
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет(ы). Этого достаточно для смены ника. Хотите приобрести данный товар?<br/>
<a href="'.append_sid("profile.$phpEx?mode=money&amp;nick").'">Сменить ник</a>|<a href="'.append_sid("shop.$phpEx").'">В магазин</a>';
} else {
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет(ы). К сожалению этого недостаточно для смены ника.<br/>
<a href="'.append_sid("shop.$phpEx").'">В магазин</a>|<a href="'.append_sid("index.$phpEx").'">Заработать ещё</a>';
}
	break;
	case '2':
$tovar = 'Смена цвета ника';
$opisanie = 'Здесь вы можете купить возможность разовой смены цвета ника на любой другой.<br/>
Стоимость смены цвета: '.$board_config['smena_cveta'].' монет(ы)<br/>';
if ( $userdata['user_points'] >= $board_config['smena_cveta'] )
{
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет(ы). Этого достаточно для смены цвета ника. Хотите приобрести данный товар?<br/>
<a href="'.append_sid("profile.$phpEx?mode=money&amp;color").'">Сменить цвет</a>|<a href="'.append_sid("shop.$phpEx").'">В магазин</a>';
} else {
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет(ы). К сожалению этого недостаточно для смены цвета ника.<br/>
<a href="'.append_sid("shop.$phpEx").'">В магазин</a>|<a href="'.append_sid("index.$phpEx").'">Заработать ещё</a>';
}
	break;
	case '3':
$tovar = 'Личное звание';
$opisanie = 'Здесь вы можете купить возможность смены звания в профиле. Помните, в звании нельзя использовать мат, оскорбления и всё то, что запрещено правилами форума.<br/>
Стоимость личного звания: '.$board_config['smena_zvaniya'].' монет(ы)<br/>';
if ( $userdata['user_points'] >= $board_config['smena_zvaniya'] )
{
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет(ы). Этого достаточно для установки личного звания. Хотите приобрести данный товар?<br/>
<a href="'.append_sid("profile.$phpEx?mode=money&amp;rank").'">Установить звание</a>|<a href="'.append_sid("shop.$phpEx").'">В магазин</a>';
} else {
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет(ы). К сожалению этого недостаточно для установки личного звания.<br/>
<a href="'.append_sid("shop.$phpEx").'">В магазин</a>|<a href="'.append_sid("index.$phpEx").'">Заработать ещё</a>';
}
	break;
	case '4':
$tovar = 'Купить аккаунт';
$opisanie = 'Здесь вы можете купить понравившуюся учётную запись, брошенную пользователем по неизветной причине. Условия приобретения аккаунта:<br/>
- на нём накоплено не более '.$board_config['pokupka_uchetki_posts'].' постов<br/>
- зарегистрирован не менее '.$board_config['pokupka_uchetki_nedeli'].' недель.<br/>
Стоимость аккаунта: '.$board_config['pokupka_uchetki'].' монет(ы)<br/>';
if ( $userdata['user_points'] >= $board_config['pokupka_uchetki'] )
{
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет(ы). Этого достаточно для покупки аккаунта. Хотите приобрести данный товар?<br/>
<a href="'.append_sid("profile.$phpEx?mode=money&amp;acc").'">Купить аккаунт</a>|<a href="'.append_sid("shop.$phpEx").'">В магазин</a>';
} else {
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет(ы). К сожалению этого недостаточно для покупки аккаунта.<br/>
<a href="'.append_sid("shop.$phpEx").'">В магазин</a>|<a href="'.append_sid("index.$phpEx").'">Заработать ещё</a>';
}
	break;
	case '5':
$tovar = 'Разбанить друга';
$opisanie = 'Здесь вы можете за монеты разблокировать учётную запись друга.<br/>
Стоимость разблокировки: '.$board_config['razblokirovka_druga'].' монет(ы) за 1 час бана. Срок бана округляется в большую сторону, т.е. если вашего друга заблокировали на 10 минут - это всё равно будет считаться за 1 час. Таким образом 1 час 4 минуты уже будет считаться за 2 часа и т.д.<br/>';
if ( $userdata['user_points'] >= $board_config['razblokirovka_druga'] )
{
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет(ы). Этого достаточно для возможного разблокирования аккаунта (в зависимости от срока бана). Хотите приобрести данный товар?<br/>
<a href="'.append_sid("profile.$phpEx?mode=money&amp;ban").'">Разбанить друга</a>|<a href="'.append_sid("shop.$phpEx").'">В магазин</a>';
} else {
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет(ы). К сожалению этого недостаточно для разблокирования аккаунта.<br/>
<a href="'.append_sid("shop.$phpEx").'">В магазин</a>|<a href="'.append_sid("index.$phpEx").'">Заработать ещё</a>';
}
	break;
	case '6':
$tovar = 'Купить ICQ';
$opisanie = 'Здесь вы можете купить номерок ICQ.<br/>';
if ( $userdata['user_points'] < 1 )
{
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет(ы). К сожалению этого недостаточно для покупки номера.<br/>
<a href="'.append_sid("shop.$phpEx").'">В магазин</a>|<a href="'.append_sid("index.$phpEx").'">Заработать ещё</a>';
} else {
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет(ы).<br/>
<a href="'.append_sid("profile.$phpEx?mode=money&amp;icq").'">Показать список</a>|<a href="'.append_sid("shop.$phpEx").'">В магазин</a>';
}
	break;
	case '7':
$tovar = 'Заработать';
$opisanie = 'Здесь вы можете заработать монеты, кликая по ссылкам.<br/>
На вашем счету '.$userdata['user_points'].' монет(ы).<br/>
<a href="'.append_sid("profile.$phpEx?mode=money&amp;url").'">Показать ссылки</a>|<a href="'.append_sid("shop.$phpEx").'">В магазин</a>';
	break;
	case '8':
$tovar = 'Купить рекламу';
$opisanie = 'Здесь вы можете заказать рекламу на главной странице нашего форума.<br/>';
if ( $userdata['user_points'] < 1 )
{
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет(ы). К сожалению этого недостаточно для покупки рекламы.<br/>
<a href="'.append_sid("shop.$phpEx").'">В магазин</a>|<a href="'.append_sid("index.$phpEx").'">Заработать ещё</a>';
} else {
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет(ы). Стоимость расположения сылки вверху главной страницы '.$board_config['verh_pay'].' монет. Внизу '.$board_config['niz_pay'].' монет.<br/>
<a href="'.append_sid("profile.$phpEx?mode=money&amp;sites").'">Заказать</a>|<a href="'.append_sid("shop.$phpEx").'">В магазин</a>';
}
	break;
	case '9':
if ( !$board_config['pay_money'] )
{
	message_die(GENERAL_MESSAGE, 'Система выплат на этом форуме отключена.');
}
$tovar = 'Конвертировать в рубли';
$opisanie = 'В этом разделе вы можете обменять любое количество своих монет на рубли, которые впоследствии будут выплачены вам в соответствии с правилами оплаты за сообщения на форуме (при условии что вы указали номер рублёвого кошелька у себя в профиле).<br/>
За одну монету мы даём '.$board_config['kurs_payment'].' руб.<br/>';
if ( !empty($userdata['user_purse']) )
{
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет(ы). Хотите произвести обмен?<br/>
<a href="'.append_sid("profile.$phpEx?mode=money&amp;exch").'">Обменять</a>|<a href="'.append_sid("shop.$phpEx").'">В магазин</a>';
} elseif ( empty($userdata['user_purse']) ) {
$opisanie.= 'Для использования этой функции необходимо в профиле указать номер рублёвого кошелька.<br/>
<a href="'.append_sid("profile.$phpEx?mode=editprofileinfo").'">Редактировать профиль</a>|<a href="'.append_sid("shop.$phpEx").'">В магазин</a>';
} else {
$opisanie.= 'На вашем счету '.$userdata['user_points'].' монет. Этого недостаточно.<br/>
<a href="'.append_sid("shop.$phpEx").'">В магазин</a>|<a href="'.append_sid("index.$phpEx").'">Заработать ещё</a>';
}
	break;
	default:
$tovar = 'Добро пожаловать';
$opisanie = 'Оставляя сообщения на нашем форуме вы автоматически получаете на свой виртуальный счёт некоторое количество монет.<br/>
За эти монеты в нашем магазине вы можете приобрести различные возможности форума, которые вы можете увидеть ниже.<br/>
Посмотреть, сколько монет мы выдаём за каждое сообщение в подфорумах, можно <a href="'.append_sid("shop.$phpEx?forum").'">здесь</a><br/>
Посмотреть список богачей форума можно <a href="'.append_sid("memberlist.$phpEx?mode=money&amp;order=DESC").'">здесь</a></div>
<div class="catSides"><img src="/themes/profmas/icrz.png" alt="*">
Список товаров
</div>
<a href="'.append_sid("shop.$phpEx?id=1").'" class="row1"><img src="/themes/profmas/ind.png" alt="*"/> Смена ника</a>
<a href="'.append_sid("shop.$phpEx?id=2").'" class="row1"><img src="/themes/profmas/ind.png" alt="*"/> Смена цвета ника</a>
<a href="'.append_sid("shop.$phpEx?id=3").'" class="row1"><img src="/themes/profmas/ind.png" alt="*"/> Личное звание</a>
<a href="'.append_sid("shop.$phpEx?id=4").'" class="row1"><img src="/themes/profmas/ind.png" alt="*"/> Купить аккаунт</a>
<a href="'.append_sid("shop.$phpEx?id=6").'" class="row1"><img src="/themes/profmas/ind.png" alt="*"/> Купить ICQ</a>
<a href="'.append_sid("shop.$phpEx?id=7").'" class="row1"><img src="/themes/profmas/ind.png" alt="*"/> Заработать на кликах</a>';
if ( $board_config['sites'] )
{
$opisanie .= '<a href="'.append_sid("shop.$phpEx?id=8").'" class="row1"><img src="/themes/profmas/ind.png" alt="*"/> Купить рекламу</a>';
}
$opisanie .= '<a href="'.append_sid("shop.$phpEx?id=5").'" class="row1"><img src="/themes/profmas/ind.png" alt="*"/> Разбанить друга</a>';
if ( $board_config['pay_money'] )
{
	$opisanie .= '<br/>- <a href="'.append_sid("shop.$phpEx?id=9").'">Конвертировать в рубли</a>';
}
	break;
}
$page_title = 'Магазин';
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

$template->set_filenames(array(
	'body' => 'shop.tpl')
);
$template->assign_vars(array(
	'TOVAR' => $tovar,
	'OPISANIE' => $opisanie)
);
$template->pparse('body');

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>
